Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.publish.maven.deploy.groovy
Class RepositoryFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              org.gradle.api.internal.artifacts.publish.maven.deploy.groovy.RepositoryFactory

    class RepositoryFactory
    extends groovy.swing.factory.BeanFactory

author:
  Hans Dockter

Field Summary

Fields inherited from class groovy.swing.factory.BeanFactory
$ownClass, __timeStamp, __timeStamp__239_neverHappen1242218823434

Constructor Summary
`RepositoryFactory(java.lang.Class klass)`
`RepositoryFactory(java.lang.Class klass, boolean leaf)`

Method Summary
`void` | `setChild(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)`

Methods inherited from class groovy.swing.factory.BeanFactory
getMetaClass, setMetaClass, invokeMethod, super$1$finalize, super$1$hashCode, super$1$wait, super$1$wait, super$1$wait, super$1$toString, super$1$getClass, super$1$notify, super$1$equals, super$1$clone, super$1$notifyAll, getBeanClass, super$2$setParent, super$2$onFactoryRegistration, super$2$onNodeCompleted, super$2$isHandlesNodeChildren, super$2$isLeaf, super$2$onHandleNodeAttributes, super$2$onNodeChildren, super$2$setChild, setProperty, getProperty, newInstance, isLeaf, setChild, onFactoryRegistration, onNodeCompleted, isHandlesNodeChildren, onHandleNodeAttributes, onNodeChildren, setParent, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class groovy.util.AbstractFactory
setChild, onFactoryRegistration, onNodeCompleted, isHandlesNodeChildren, onHandleNodeAttributes, onNodeChildren, setParent, isLeaf, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll, newInstance

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### RepositoryFactory

    public RepositoryFactory(java.lang.Class klass)

### RepositoryFactory

    public RepositoryFactory(java.lang.Class klass, boolean leaf)

Method Detail

### setChild

    public void setChild(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)

Groovy Documentation